"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchHtml = void 0;
const fetchHtml = async (sourceUrl) => {
    let html;
    try {
        if (typeof fetch !== "undefined") {
            const data = await fetch(sourceUrl);
            const source = await data.text();
            html = source;
        }
    }
    catch (e) {
        console.error(`Issue fetching ${sourceUrl} ${e}`);
    }
    finally {
        return Promise.resolve(html || "");
    }
};
exports.fetchHtml = fetchHtml;
//# sourceMappingURL=fetch.js.map